using System.Windows;

namespace TimedShutdown
{
    public class Messaging
    {
        public enum Message
        {
            RemoteShutdown
        }

        public void Show(Message message, string info)
        {
            switch (message)
            {
                case Message.RemoteShutdown:
                    MessageBox.Show(
                        $"The following remote machine has been sent a shutdown/reboot signal:\n\n{info}",
                        "Timed Shutdown",
                        MessageBoxButton.OK,
                        MessageBoxImage.Information);
                    break;
            }
        }
    }
}
